Subject: Re: contolling peach leaf curl

From: [email-masked] (UKurt)
Date: 6 Jun 1995 16:20:56 -0400

There is nothing you can do about this now other than removing the worst
leaves and fertilizing.  This fall, spray with micronized Bordeaux and
spray again in the spring as buds begin to swell.  Also spray the ground
around the tree to kill the spores that remain in the soil.  Lime Sulphur
is an alternative spray.